# Created by pyp2rpm-3.2.2
%global pypi_name tornado-xmlrpc

Name:           python-%{pypi_name}
Version:        1.4
Release:        1%{?dist}
Summary:        Tornado XML-RPC server and client

License:        MIT
URL:            None
Source0:        https://files.pythonhosted.org/packages/source/t/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python2-devel
BuildRequires:  python-setuptools

%description
Tornado XMLRPC XMLRPC server and client implementation based on tornado. Using
lxml and AsyncHttpClient. .. codeblock:: python from tornado_xmlrpc import
handler, client from tornado.testing import * class
XMLRPCTestHandler(handler.XMLRPCHandler): def rpc_test(self): return None def
rpc_args(self, *args): return len(args) def rpc_kwargs(self, **kwargs): return
len(kwargs) def ...

%package -n     python2-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{pypi_name}}
 
Requires:       python-tornado >= 4.1
Requires:       python-lxml
Requires:       python-slimurl
Requires:       python-futures
%description -n python2-%{pypi_name}
Tornado XMLRPC XMLRPC server and client implementation based on tornado. Using
lxml and AsyncHttpClient. .. codeblock:: python from tornado_xmlrpc import
handler, client from tornado.testing import * class
XMLRPCTestHandler(handler.XMLRPCHandler): def rpc_test(self): return None def
rpc_args(self, *args): return len(args) def rpc_kwargs(self, **kwargs): return
len(kwargs) def ...


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py2_build

%install
%py2_install


%files -n python2-%{pypi_name}
%doc README.rst
%{python2_sitelib}/tornado_xmlrpc
%{python2_sitelib}/tornado_xmlrpc-%{version}-py?.?.egg-info

%changelog
* Mon Sep 04 2017 Copr dist git <copr-devel@lists.fedorahosted.org> - 1.4-1
- Initial package.